<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Markdown',
  props: {
    data: {
      type: Object,
      default: null,
      required: false,
    },
  },
});
</script>

<template>
  <div class="markdown copy">
    <article
      v-if="data.markdown"
      class="card slp-card"
      v-html="$md.render(data.markdown)"
    ></article>
  </div>
</template>

<style lang="scss" scoped>
.markdown {
  article {
    position: relative;
    width: 100%;
    h2 {
      margin: 100px;
    }
  }
  @media (min-width: $breakpoint-lg) {
    display: flex;
    flex-direction: row-reverse;
    article {
      min-width: $breakpoint-md;
    }
  }
}
</style>
